Bug 237817 - www/mod_evasive: test.pl doesn't work as expected
Summary: www/mod_evasive: test.pl doesn't work as expected
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-09 21:19 UTC by HATANO Tomomi
Modified: 2020-06-27 08:53 UTC (History)
4 users (show)

See Also:
w.schwarzenfeld: maintainer-feedback+


Attachments
patch to fix this issue (434 bytes, patch)
2019-05-09 21:19 UTC, HATANO Tomomi
no flags Details | Diff
Updated comprehensive patch (4.07 KB, patch)
2019-05-24 16:20 UTC, Steve Wills
swills: maintainer-approval? (kiwi)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description HATANO Tomomi 2019-05-09 21:19:40 UTC
Created attachment 204294 [details]
patch to fix this issue

While setting up mod_evasive,
some people will test its configuration by test.pl.

test.pl is expected to show several 200 OKs then many 403 forbidden,
but it only shows 400 Bad request.

Attatched patch will fix this issue.
Comment 1 kiwi 2019-05-20 08:42:30 UTC
Hi,

I approve this patch :)

Regards
Comment 2 Steve Wills freebsd_committer 2019-05-24 16:20:23 UTC
Created attachment 204596 [details]
Updated comprehensive patch

The port failed to fetch for me, so I fixed that by switching to GitHub and also made some other cleanups. Please approve.
Comment 3 kiwi 2019-08-19 09:27:33 UTC
Approoved :)
Comment 4 Li-Wen Hsu freebsd_committer 2020-06-27 08:49:58 UTC
Rebased and committed, thanks!
Comment 5 commit-hook freebsd_committer 2020-06-27 08:50:15 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Jun 27 08:49:27 UTC 2020
New revision: 540569
URL: https://svnweb.freebsd.org/changeset/ports/540569

Log:
  www/mod_evasive: fix HTTP request in test.pl

  Also some cleanups from swills and me.

  PR:		237817
  Submitted by:	HATANO Tomomi <hatanou@infolab.ne.jp>
  Approved by:	kiwi@oav.net (maintainer)

Changes:
  head/www/mod_evasive/Makefile
  head/www/mod_evasive/files/
  head/www/mod_evasive/files/patch-test.pl
  head/www/mod_evasive/pkg-descr
Comment 6 Li-Wen Hsu freebsd_committer 2020-06-27 08:53:18 UTC
BTW, please submit this patch to the upstream if possible. Thanks!